> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Weather

> Returns the weather forecast around a vehicle.



## OpenAPI

````yaml get /{vin}/weather
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/weather:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Vehicle Data
      summary: Get Weather
      description: Returns the weather forecast around a vehicle.
      operationId: get-weather
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  location:
                    type: string
                  condition:
                    type: string
                  temperature:
                    type: number
                  feels_like:
                    type: number
                  humidity:
                    type: integer
                  visibility:
                    type: integer
                  pressure:
                    type: integer
                  sunrise:
                    type: integer
                  sunset:
                    type: integer
                  cloudiness:
                    type: integer
                  wind_speed:
                    type: number
                  wind_direction:
                    type: integer
              examples:
                Example 1:
                  value:
                    location: Fremont
                    condition: Clear
                    temperature: 22.77
                    feels_like: 21.26
                    humidity: 91
                    visibility: 10000
                    pressure: 1017
                    sunrise: 1672757473
                    sunset: 1672793687
                    cloudiness: 25
                    wind_speed: 8.23
                    wind_direction: 160
          description: Success
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````